Profile <-
function(parnames,nllhood,label,psi,lambda,...) {
 
 if(!is.character(parnames)) 
    stop("\nparnames must be of type character\n")
  if(!is.character(label)) 
    stop("\nlabel must be of type character\n")
  if(length(label)!=length(psi)) 
    stop("\nlabel and psi must be same length\n")
  if(length(psi)+length(lambda)!=length(parnames)) 
    stop("\nlengths of psi and lambda must sum to length of parnames\n")
  if(max(is.na(match(label,parnames)))==1) 
    stop("\nlabels is not a subset of Parnames\n")

  psi=structure(psi,names=label)
  lambda=structure(lambda,names=parnames[-match(label,parnames)])
  nllhood.profile=function(lambda,psi) {
    theta=c(psi,lambda)[parnames]
    nllhood(theta,...) }
  fit=optim(lambda,nllhood.profile,psi=psi)
  return(list(psi=psi,lambda=fit$par,value=-fit$value,convergence=fit$convergence)) }
