\name{Profile}
\alias{Profile}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Profiling function
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
Profile(parnames, nllhood, label, psi, lambda, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{parnames}{
Character vector giving the names of each parameter.
}
  \item{nllhood}{
A function returning the negative log-likelihood.
}
  \item{label}{
Character value or vector giving the name(s) of the subset of parameters for which 
the profile log-likelihood is to be evaluated. 
This is \eqn{\boldmath{\psi}}{psi} in the notation of Millar (2011).
}
  \item{psi}{
The value of \eqn{\boldmath{\psi}}{psi} at which the profile log-likelihood is evaluated.
}
  \item{lambda}{
Initial values for the nuisance parameters \eqn{\boldmath{\lambda}}{lambda} over
which the negative log-likelihood is maximized.
}
  \item{\dots}{
Any additional arguments to be passed to nllhood.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
The (negative) profile likelihood evaluated at \eqn{\boldmath{\psi}}{psi}.
}

\author{Russell B. Millar}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
#A profile likelihood plot for the mixing proportion $p$ in
#a binormal mixture model fitted to Old Faithful waiting times

nllhood=function(theta,y) {
  p=theta[1]; mu=theta[2]; sigma=theta[3]; nu=theta[4]; tau=theta[5]
  lhood=p*dnorm(y,mu,sigma)+(1-p)*dnorm(y,nu,tau)
  return(-sum(log(lhood)))
}

parnames=c("p","mu","sigma","nu","tau")
pseq=seq(0.24,0.5,0.005)
Profile.p=rep(NA,length(pseq))
for(i in 1:length(pseq))
  Profile.p[i]=Profile(parnames,nllhood,label="p",psi=pseq[i],
        lambda=c(50,5,80,5),y=faithful$waiting)$value
plot(pseq,Profile.p,xlab="p",ylab="Profile log-likelihood",type="l") 
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
